# SuffixTrie.LookupResult (Crawler-commons 0.10 API)
Date: 2018-06-05

crawlercommons.domains

## Class SuffixTrie.LookupResult<V>

- java.lang.Object
- - crawlercommons.domains.SuffixTrie.LookupResult<V>

Enclosing class:
  SuffixTrie<V>

    public static class SuffixTrie.LookupResult<V>
    extends Object

Wrapper for results when a string is checked for suffixes contained in the suffix trie.

### Constructor Summary

Constructors
Constructor and Description
`LookupResult(int offset, V value)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LookupResult

    public LookupResult(int offset,
                        V value)